# synfig::RWLock::ReaderLock Class Reference

`#include <mutex.h>`

List of all members.

## Public Member Functions

| ReaderLock (RWLock &x)
| ~ReaderLock ()

## Constructor & Destructor Documentation

synfig::RWLock::ReaderLock::ReaderLock | ( | RWLock & | x | ) | `[inline]`

References synfig::RWLock::reader_lock().

synfig::RWLock::ReaderLock::~ReaderLock | ( |  | ) | `[inline]`

References synfig::RWLock::reader_unlock().

The documentation for this class was generated from the following file:

- mutex.h